#include <iostream>

using namespace std;

int main()
{
    int n, k, a=-1, trazeni=-1, prvi_element=0;
    bool prethodni_je_trazeni=false, prvi = true;

    cin >> n >> k;
    
    for(int i=0; i < n; i++)
    {
        cin >> a;
        if(prvi)
        {
            prvi_element = a;
            prvi = false;
        }
        if(prethodni_je_trazeni)
        {
            trazeni = a;
        }

        if(a == k)
        {
            prethodni_je_trazeni = true;
        }
    }

    if(trazeni == -1)
    {
        trazeni = prvi_element;
    }

    cout << trazeni << endl;
    return 0;
}